Genome BioInformatics Research Lab

Help | News | People | Research Software Publications | Links
Resources & Datasets | Gene Predictions | Seminars & Courses

IMIM |  | UPF |  | CRG |  | GRIB |  | SOFTWARE |  | gff2aplot |  | HowTo |  | SIM Data

| SIM Alignment on a Multigenic Syntenic Region |

Summary
We will visualize the output produced by SIM on the genomic MHC syntenic region between human and mouse. We will use a filter to convert its output into GFF, the C program `ali2gff` is included in the `gff2aplot` distribution.
Once we have generated the whole genomic region figure, we will zoom into a single gene annotation. This will illustrate how you can expand a given area from your pictures, to highlight single features on multigenic annotation plots for instance.
NOTE.- For the sake of clarity, we are going to use long names for the comand-line switches. See the command-line help if you prefer short names for those cases in which a short name is available.
Bitmaps for the examples were generated as PNGs (Portable Network Graphics). If your browser is not ready for such format yet, you can visualize the PDF or PS versions by clicking on the links below each snapshot. Links to customization files, log files, GFF input files and output PostScript figures, are also available on each command-line shown.

Contents

- Translating SIM output into GFF.
- Raw `gff2aplot` output.
- Finishing whole genomic region plot.
- Zooming into single gene regions.

Parsing SIM Output |

    $BIN/ali2gff -x "X87344"             \
                 -y "AF100956+AF027865"  \
                    hs-mm.sim            \
                  > hs-mm.sim.gff

Raw Output |

[PNG] [PS] [PDF]

    gff2aplot.pl                           \
        --verbose                          \
        --percent-box-label "Identity%"    \
        --title "Human/Mouse MHCII Region" \
        --subtitle ""                      \
        -- hs.gff                          \
           mm.gff                          \
           hs-mm.sim.gff                   \
         > hs-mm.sim.ps                    \
        2> hs-mm.sim.log

[PNG] [PS] [PDF]

    gff2aplot.pl                                         \
         --verbose                                       \
         --percent-box-label "Identity%"                 \
         --show-percent-box                              \
         --title "Human/Mouse MHCII Region"              \
         --subtitle ""                                   \
         --feature-var "seqbounds::alignment_color=grey" \
         --feature-var "alignment::alignment_color=red"  \
         --feature-var "fragment::alignment_color=green" \
         --strand-var "..::strand_layer=0"               \
         --strand-var "++::strand_layer=2"               \
         -- hs.gff                                       \
            mm.gff                                       \
            hs-mm.sim.gff                                \
          > hs-mm.sim2.ps                                \
         2> hs-mm.sim2.log

Finishing Plot for MHC Region |

[PNG] [PS] [PDF]

    gff2aplot.pl                            \
        --verbose                           \
        --percent-box-label "Identity%"     \
        --show-percent-box                  \
        --title  "Human/Mouse MHCII Region" \
        --subtitle ""                       \
        --x-label "Human" --y-label "Mouse" \
        --custom-filename mhc2.rc           \
        --custom-filename mhc2spc.rc        \
        -- hs.gff                           \
           mm.gff                           \
           hs-mm.sim.gff                    \
         > hs-mm.sim.ini.ps                 \
        2> hs-mm.sim.ini.log

Zooming Into the LMP2 Gene Region |

[PNG] [PS] [PDF]

    gff2aplot.pl                                       \
        --verbose                                      \
        --percent-box-label "Identity%"                \
        --show-percent-box                             \
        --title  "Human/Mouse MHCII Region"            \
        --subtitle "Zooming into the LMP2 gene region" \
        --zoom-area                                    \
        --end-x-sequence 6500                          \
        --end-y-sequence 6500                          \
        --x-label "Human X87344"                       \
        --y-label "Mouse AF100956+AF027865"            \
        --custom-filename mhc2.rc                      \
        --custom-filename mhc2labels.rc                \
        -- hs.gff                                      \
           mm.gff                                      \
           hs-mm.sim.gff                               \
         > hs-mm.sim.zbox.ps                           \
        2> hs-mm.sim.zbox.log

[PNG] [PS] [PDF]

    gff2aplot.pl                                       \
        --verbose                                      \
        --percent-box-label "Identity%"                \
        --show-percent-box                             \
        --title  "Human/Mouse MHCII Region"            \
        --subtitle "Zooming into the LMP2 gene region" \
        --zoom                                         \
        --end-x-sequence 6500                          \
        --end-y-sequence 6500                          \
        --x-label "Human"                              \
        --y-label "Mouse"                              \
        --custom-filename mhc2.rc                      \
        --custom-filename mhc2labels.rc                \
        --custom-filename mhc2+sgp1.rc                 \
        -- hs.gff                                      \
           mm.gff                                      \
           hs-mm.sgp1.gff                              \
           hs-mm.sim.gff                               \
         > hs-mm.sim.zoom.ps                           \
        2> hs-mm.sim.zoom.log

Disclaimer |  | webmaster